import HisLink from '../../collections/hislink.js';
import { check } from 'meteor/check';


import { Logger } from 'meteor/ostrio:logger';
import { LoggerFile } from 'meteor/ostrio:loggerfile';

var log = new Logger();
(new LoggerFile(log)).enable();

Meteor.publish("hislink", function() {
    if (!this.userId) {
        return this.ready();
    }
    Meteor.settings.enableDebug ? log.debug(`hislinkPublisher => start publish hislink `, {}, Meteor.user().username) : '';
    return HisLink.find({}, {

        disableOplog: true,
        // pollingThrottleMs: 1000,
        pollingIntervalMs: 1000
    });
});